> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roark.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an agent endpoint

> Updates an existing agent endpoint by its ID. Only environment and outboundDialType can be modified.



## OpenAPI

````yaml /api-reference/openapi.documented.json put /v1/agent/endpoint/{endpointId}
openapi: 3.1.0
info:
  title: Roark Analytics API
  description: >-
    The Roark Analytics API gives you access to the same API that powers the
    award winning Roark Analytics platform.
  version: 1.0.0
servers:
  - description: Production
    url: https://api.roark.ai
security:
  - Bearer: []
tags:
  - name: Agent
  - name: Agent Endpoint
  - name: Call
  - name: Chat
  - name: Metric
  - name: Metric Policy
  - name: Metric Collection Job
  - name: Simulation Persona
  - name: Simulation Scenario
  - name: Simulation Run Plan
  - name: Simulation Run Plan Job
  - name: Simulation Job
  - name: HTTP Request Definition
  - name: Webhook
  - name: Issue
  - name: Knowledge Base
  - name: Call Analysis
  - name: Health
paths:
  /v1/agent/endpoint/{endpointId}:
    put:
      tags:
        - Agent Endpoint
      summary: Update an agent endpoint
      description: >-
        Updates an existing agent endpoint by its ID. Only environment and
        outboundDialType can be modified.
      operationId: putV1AgentEndpointByEndpointId
      parameters:
        - name: endpointId
          in: path
          required: true
          description: The ID of the agent endpoint to update
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAgentEndpointInput'
      responses:
        '200':
          description: The updated agent endpoint
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AgentEndpointDetailResponse'
                required:
                  - data
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Validation error
              example:
                type: validation
                code: invalid_parameter
                message: The request was invalid
                param: email
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Authentication error
              example:
                type: authentication
                code: unauthorized
                message: Authentication required
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Not found error
              example:
                type: not_found
                code: resource_not_found
                message: The requested resource could not be found
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Server error
              example:
                type: internal
                code: internal_error
                message: Internal server error
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Roark from '@roarkanalytics/sdk';


            const client = new Roark({
              bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
            });


            const agentEndpoint = await
            client.agentEndpoint.update('endpointId');


            console.log(agentEndpoint.data);
        - lang: Python
          source: |-
            import os
            from roark_analytics import Roark

            client = Roark(
                bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"),  # This is the default and can be omitted
            )
            agent_endpoint = client.agent_endpoint.update(
                endpoint_id="endpointId",
            )
            print(agent_endpoint.data)
components:
  schemas:
    UpdateAgentEndpointInput:
      type: object
      properties:
        environment:
          type: string
          description: Environment name
        outboundDialType:
          type: string
          enum:
            - NONE
            - HTTP_REQUEST
          description: 'Outbound dial type: NONE or HTTP_REQUEST'
        outboundDialHttpRequestDefinitionId:
          type:
            - string
            - 'null'
          format: uuid
          description: ID of the HTTP request definition for outbound dialing
      description: Input for updating an agent endpoint
    AgentEndpointDetailResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Agent endpoint ID
        agentId:
          type: string
          format: uuid
          description: Agent ID this endpoint belongs to
        type:
          type: string
          enum:
            - PHONE
            - WEBSOCKET
            - LIVEKIT
            - SMALL_WEBRTC
            - ELEVENLABS_WS
            - KORE
            - GOOGLE_CES
            - DAILY
          description: >-
            Agent endpoint type (PHONE, WEBSOCKET, LIVEKIT, SMALL_WEBRTC, or
            ELEVENLABS_WS)
        value:
          type: string
          description: Agent endpoint value (phone number, URL, etc.)
        environment:
          type: string
          description: Agent endpoint environment
        direction:
          type: string
          enum:
            - INCOMING
            - OUTGOING
            - INCOMING_AND_OUTGOING
          description: Agent endpoint direction (INCOMING, OUTGOING, INCOMING_AND_OUTGOING)
        outboundDialType:
          type: string
          enum:
            - NONE
            - HTTP_REQUEST
          description: Outbound dial type (NONE or HTTP_REQUEST)
        outboundDialHttpRequestDefinitionId:
          type:
            - string
            - 'null'
          format: uuid
          description: ID of the linked HTTP request definition for outbound dialing
        createdAt:
          type: string
          description: Creation timestamp
        updatedAt:
          type: string
          description: Last update timestamp
      required:
        - id
        - agentId
        - type
        - value
        - environment
        - direction
        - outboundDialType
        - outboundDialHttpRequestDefinitionId
        - createdAt
        - updatedAt
      description: Detailed agent endpoint response
    ErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - validation
            - authentication
            - forbidden
            - not_found
            - conflict
            - rate_limit
            - internal
          description: The error type category
          examples:
            - validation
            - authentication
        code:
          type: string
          description: Machine-readable error code identifier
          examples:
            - invalid_parameter
            - missing_required_field
            - unauthorized
        message:
          type: string
          description: Human-readable error message
          examples:
            - The request was invalid
            - Authentication required
        param:
          type: string
          description: The parameter that caused the error (if applicable)
          examples:
            - email
            - user_id
        details:
          description: Additional error context information
      required:
        - type
        - code
        - message
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````